LOGIN(3)

NAME
login, logout, logwtmp - login utility functions

SYNOPSIS
#include <utmp.h>
#include <util.h>
void
login(struct utmp *ut);
int
logout(const char *line);
void
logwtmp(const char *line, const char *name, const char *host);

DESCRIPTION
The login(), logout(), and logwtmp() functions operate on the database of current users in /var/run/utmp and on the logfile /var/log/wtmp of logins and logouts.

The login() function updates the /var/run/utmp and /var/log/wtmp files with user information contained in ut.

The logout() function removes the entry from /var/run/utmp corresponding to the device line.

The logwtmp() function adds an entry to /var/log/wtmp. Since login() will add the appropriate entry for /var/log/wtmp during a login, logwtmp() is usually used for logouts.

RETURN VALUES
logout() returns non-zero if it was able to find and delete an entry for line, and zero if there is no entry for line in /var/run/utmp.

FILES
/dev/*
/etc/ttys
/var/run/utmp
/var/log/wtmp

SEE ALSO
utmp(5)